B2SUM(1)

BEZEICHNUNG
b2sum - BLAKE2-Prüfsummen berechnen und überprüfen

ÜBERSICHT
b2sum [OPTION]… [DATEI]…

BESCHREIBUNG

gibt BLAKE2- (512-Bit-) Prüfsummen aus oder überprüft sie.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

-b, --binary
    liest im Binärmodus.

-c, --check
    liest BLAKE2-Summen aus der DATEI und überprüft sie.

-l, --length
    gibt die Prüfsummenlänge in Bit an; diese darf das Maximum für den Blake2-Algorithmus nicht überschreiten und muss ein Vielfaches von 8 sein.

--tag
    erstellt eine Prüfsumme im BSD-Stil.

-t, --text
    liest im Textmodus (Voreinstellung).

-z, --zero
    schließt jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs ab und deaktiviert Dateinamenmaskierung.

  Die folgenden fünf Optionen sind nur beim Überprüfen sinnvoll:

--ignore-missing
    meldet keinen Fehlschlag oder Status für fehlende Dateien.

--quiet
    gibt nicht für jede erfolgreich geprüfte Datei OK aus.

--status
    gibt nichts aus, der Statuscode zeigt Erfolg an.

--strict
    bricht bei ungeeignet formatierten Prüfsummenzeilen mit von 0 verschiedenem Fehlercode ab.

-w, --warn
    warnt bei ungeeignet formatierten Prüfsummenzeilen.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Die Summen werden wie in RFC 7693 beschrieben errechnet. Für die Überprüfung sollte die Eingabe eine von diesem Programm erzeugte Ausgabe sein. Im Standardmodus wird eine Zeile mit einer Prüfsumme, einem Leerzeichen, einem Zeichen, das den Eingabemodus angibt (»*« für binäre Daten, » « für Text oder wenn binär oder nicht binär nicht von Bedeutung ist) und ein Name für jede DATEI ausgegeben.

Hinweis: Auf GNU-Systemen gibt es keinen Unterschied zwischen Binärmodus und Textmodus.

AUTOR
Geschrieben von Padraig Brady und Samuel Neves.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation ist auf <https://www.gnu.org/software/coreutils/b2sum>
oder lokal mit folgendem Befehl verfügbar: info '(coreutils) b2sum invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).